Ticket #25653

サーチエイド、Voice Popper への対応

Open Date: 2011-07-07 11:32 Last Update: 2014-05-08 11:01

Reporter:
Owner:
(None)
Status:
Closed
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

[nvda-japanese-users:433]

サーチエイド、ボイスポッパーを NVDAで読んでいますと、

1,キーボードでカーソルをどんどん動かしても 音声の方が遅れてしまいます。 それで、どこを読んでいるのか わからなくなります。

2,たとえばサーチエイドでホームページを読んでいると 「選択」「選択解除」が繰り返されて わずらわしいです。

[nvda-japanese-users:435]

かなり以前になりますが、 サーチエイド、ボイスポッパーの作者、桂木さんから、 可能ならば、 NVDAへの対応を考慮している旨の返信をいただいています。

補足 (nishimoto)

オンラインソフト工房 http://homepage2.nifty.com/oss/

VoicePopper ベクター記事 http://www.vector.co.jp/magazine/softnews/040428/n0404284.html

Ticket History (3/20 Histories)

2011-07-07 11:32 Updated by: nishimoto
  • New Ticket "サーチエイド、Voice Popper への対応" created
2011-07-10 13:25 Updated by: nishimoto
  • Owner Update from (None) to mshinke
  • Component Update from (None) to 点字ディスプレイ
Comment

[nvda-japanese-users:439] 補足していただきました。

「SAPIエンジンの読み上げでは、 点字出力はなされません。 NVDAが点字出力に対応するようになったので 楽しみになって要望する次第です。」

チケット 23945 点字ディスプレイ対応の進展に合わせて検討します。

2011-07-10 17:28 Updated by: nishimoto
  • Owner Update from mshinke to (None)
2011-11-06 22:06 Updated by: nishimoto
Comment

Twitter でいただいたご意見ですが、このソフトを使うときにはわざわざNVDAを終了させているが、それがなくなるのであれば嬉しい、とのことです。

2012-02-10 21:46 Updated by: nishimoto
Comment

齋藤さんに VoicePopper をスリープモードにする appModule を実装していただきました。

http://bazaar.launchpad.net/~stomato463/+junk/main/revision/4212

ただし「日本語入力のときにNVDAと重複して音声が出ます」とのことです。

これはチケット 26438 関連作業がスリープモードと連動していないことが原因と考えられます。

2012-02-14 10:01 Updated by: nishimoto
Comment

齋藤さんに サーチエイド をスリープモードにする appModule (search_aid.py) を実装していただきました。

http://bazaar.launchpad.net/~stomato463/+junk/main/revision/4217

2012-02-15 22:22 Updated by: nishimoto
  • Component Update from 点字ディスプレイ to (None)
Comment

jpdev120214 に今回のモジュールを導入しました。 「サーチエイド、ボイスポッパーを使用するときにNVDAはスリープして、付属のSAPI音声が動き出すことを確認できた」という御報告、および「両ソフトにNVDAの点字出力が対応すると助かる」というご意見を nvda-japanese-users ML でいただきました。

2012-04-20 13:53 Updated by: nishimoto
  • Component Update from (None) to アドオン
2012-04-24 22:34 Updated by: nishimoto
2012-05-28 16:04 Updated by: nishimoto
Comment

本件に積極的に対応できる開発者がいないため、これ以上の作業は見送らざるを得ない状況です。

一般的にアプリケーションを NVDA 対応にする方法は、アプリケーションモジュールの開発だけではありません。

スクリーンリーダーを積極的に制御するアプリケーションでは NVDA コントローラクライアントをご検討いただけるかどうか、アプリケーション開発者とお話をしていきたいと思います。

http://www.nvda-project.org/nvdaControllerClient/

2012-06-20 09:49 Updated by: nishimoto
Comment

2012.2.1jp をお使いのかたから、サーチエイドとボイスポッパーのスリープを解除して動作確認したい、というご要望がありました。

添付のファイルを使って NVDA の設定を変更してください。 インストール版だとスタートメニューに「NVDAユーザー設定ディレクトリーを開く」が あるので、こちらで開いてください。 ユーザー設定ディレクトリーの中に appModules というフォルダーがあります。 この中に、添付のファイルをコピーしてください。

search_aid.py はサーチエイド用、 voice_popper3.py はボイスポッパー用です。

なお、NVDA に対応したアプリケーションの開発というページを作りました: http://sourceforge.jp/projects/nvdajp/wiki/ControllerClient

2013-02-05 20:34 Updated by: nishimoto
  • Severity Update from 4 to 5 - Medium
  • Priority Update from 4 to 5 - Medium
Comment

現在、サーチエイドとVoice Popperで NVDA をスリープモードにするアプリケーションモジュールが NVDA 日本語版に入っています。

しかし、スリープモードを解除すれば、点字ディスプレイ出力も実用的になりつつある、とのご意見もあります。

スリープモードにするかどうかをユーザーが選べるように、これらのアプリケーションモジュールをアドオンとして、NVDA日本語版から外してはどうか、というご意見をいただきました。

2013-02-11 22:20 Updated by: nishimoto
Comment

VoicePopper-sleep 1.0 を作っていただきました。

https://code.launchpad.net/~stomato463/nvdajp/addon

2013-02-12 17:04 Updated by: nishimoto
Comment

NVDA日本語版から appModules から search_aid.py と voice_popper3.py を削除する(必要なユーザーだけが組み込めるようにアドオンにする)かどうかは、まだ結論を出していません。

引き続きご意見をお待ちしています。

2013-02-23 14:16 Updated by: nishimoto
Comment

NVDA日本語版 appModules から search_aid.py と voice_popper3.py (強制スリープ処理)を削除する(必要なユーザーだけが組み込めるようにアドオンにする)ことについて。 意見受付の締め切りを2月28日として 2013.1jp に向けた判断をします。

メリットとデメリットを考えてみました。

削除のメリット

  • 本家版との違いを減らすことは日本語チームの負担削減につながる
  • 音声なし、点字出力にすれば、日本語点字で使ってもらえる

削除のデメリット

  • 今までこれらのアプリをスリープモードで使っていたユーザーに追加の負担を強いる
  • 強制スリープのプラグインやアドオンのパッケージ化、ドキュメント作成、ダウンロード手順の説明などが必要
  • 不具合といえるほどの状況でないのに仕様を変えると混乱を招く

条件付き意見もあろうかと思います(例えば、音声だけスリープするモードが作れないか、など)。

いただいたご意見をふまえてリリース担当者が最終判断します。

なお、削除をする、しない、いずれの判断をしても、このチケットそのものが「未完了」であることには変わりません。

2013-05-05 21:14 Updated by: nishimoto
Comment

本件について 2013.1jp でどのように対応するか、議論が終了していませんでした。

「強制スリープの無効化」を簡単にできるようにして欲しいというご要望があります。

「強制スリープのモジュール」と「強制スリープを無効化するモジュール」の両方をNVDA日本語チームが提供するのは、同じファイル名の複数のアプリケーションモジュールが存在することになり、適切とは思えません。

過去にご提案いただいていた「NVDA 日本語版で独自に追加していた強制無効化モジュールの削除」を 2013.1jp 正式版で行いたいと思います。

(強制スリープをさせたいユーザーはご自分で必要なモジュールを追加することになります)

反対のご意見があれば、お早めにお知らせください。

2013-05-06 23:03 Updated by: nishimoto
Comment

下記の git コミットで search_aid.py と voice_popper3.py を削除しました。

  • release-2013.1jp eb956af

ドキュメントを更新しました。

  • release-2013.1jp f259300
2014-05-08 11:01 Updated by: nishimoto
  • Ticket Close date is changed to 2014-05-08 11:01
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
  • Component Update from アドオン to クライアントAPI
Comment

2014.1jp のリリースで状況がいろいろ変わったので、本件はいったん完了(クローズ)として、これらのソフトウェアと NVDA 日本語版の互換性の問題は個別のチケットを作って検討させてください。

Attachment File List

  • search_aid.py(340bytes)
    • サーチエイドをスリープさせないための AppModule
  • voice_popper3.py(346bytes)
    • ボイスポッパーをスリープさせないための AppModule

Edit

Please login to add comment to this ticket » Login